Main Page Modules Namespace List Data Structures File List Data Fields Examples

# Document
[Node]

## Defines
#define | DOM_DOCUMENT DOM_NODE
## Functions
DOM_DOCUMENT * | domDocumentNew ()
void | domDocumentDestroy (DOM_DOCUMENT *doc)

## Detailed Description

Document node manipulation.

## Define Documentation

#define DOM_DOCUMENT DOM_NODE

| Defines a DOM_DOCUMENT as a DOM_NODE. This gives us "inheritance" in C.

## Function Documentation

void domDocumentDestroy | ( | DOM_DOCUMENT * | doc | ) |

  | Recursively destroys a DOM document. Parameters:
  doc | [in] The document to be destroyed.

DOM_DOCUMENT* domDocumentNew | ( |  | ) |

| Constructs an empty DOM document. Returns: An empty DOM document node.